import t from "react";
import { W as i, D as r } from "./useRoutes-367960a3.mjs";
const l = (e) => {
  const { Link: n } = t.useContext(i);
  return n ? /* @__PURE__ */ t.createElement(n, { ...e }, e.children) : /* @__PURE__ */ t.createElement(r, { ...e }, e.children);
}, m = (e) => {
  const { NavLink: n } = t.useContext(i);
  return n ? /* @__PURE__ */ t.createElement(n, { ...e }, e.children) : /* @__PURE__ */ t.createElement(r, { ...e }, e.children);
};
export {
  l as L,
  m as N
};
